task ExtractVCFinfo {
	File nist_snv
	File nist_indel
	String sampleName
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		python /opt/extract_vcf_information.py -i ${nist_snv} -o ${sampleName}.snv.txt
		python /opt/extract_vcf_information.py -i ${nist_indel} -o ${sampleName}.indel.txt

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File snv_vcf = "${sampleName}.snv.txt"
		File indel_vcf = "${sampleName}.indel.txt"
	}
}