task SepTrueFalse {
	File snv_true_bed
	File snv_false_bed
	File indel_true_bed
	File indel_false_bed
	File snv_padding
	File indel_padding

	File snv_gz
	File indel_gz
	File snv_idx
	File indel_idx


	String sampleName
	String docker
	String cluster_config
	String disk_size

	command <<<

	rtg vcffilter -i ${snv_gz} -o ${sampleName}.true.snv.vcf.gz --include-bed=${snv_true_bed}

	rtg vcffilter -i ${snv_gz} -o ${sampleName}.false.snv.vcf.gz --include-bed=${snv_false_bed}


	rtg vcffilter -i ${snv_gz} -o ${sampleName}.padding.snv.vcf.gz --include-bed=${snv_padding}

	
	rtg vcffilter -i ${indel_gz} -o ${sampleName}.true.indel.vcf.gz --include-bed=${indel_true_bed}

	rtg vcffilter -i ${indel_gz} -o ${sampleName}.false.indel.vcf.gz --include-bed=${indel_false_bed}

	rtg vcffilter -i ${indel_gz} -o ${sampleName}.padding.indel.vcf.gz --include-bed=${indel_padding}

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File snv_true_vcf = "${sampleName}.true.snv.vcf.gz"
		File snv_true_vcf_index = "${sampleName}.true.snv.vcf.gz.tbi"
		File snv_false_vcf = "${sampleName}.false.snv.vcf.gz"
		File snv_false_vcf_index = "${sampleName}.false.snv.vcf.gz.tbi"
		File snv_padding_vcf = "${sampleName}.padding.snv.vcf.gz"
		File snv_padding_vcf_index = "${sampleName}.padding.snv.vcf.gz.tbi"

		File indel_true_vcf = "${sampleName}.true.indel.vcf.gz"
		File indel_true_vcf_index = "${sampleName}.true.indel.vcf.gz.tbi"
		File indel_false_vcf = "${sampleName}.false.indel.vcf.gz"
		File indel_false_vcf_index = "${sampleName}.false.indel.vcf.gz.tbi"
		File indel_padding_vcf = "${sampleName}.padding.indel.vcf.gz"
		File indel_padding_vcf_index = "${sampleName}.padding.indel.vcf.gz.tbi"
	}
}

