task oneClass {
	File snv_vcf
	File indel_vcf
	File snv_train
	File indel_train
	String kernel
	String nu
	String sampleName
	String docker
	String cluster_config
	String disk_size
	
	command <<<

	python /opt/oneClass.py -train ${snv_train} -test ${snv_vcf} -name ${sampleName}_snv -kernel ${kernel} -nu ${nu}

	python /opt/oneClass.py -train ${indel_train} -test ${indel_vcf} -name ${sampleName}_indel	-kernel ${kernel} -nu ${nu}

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File snv_true_txt = "${sampleName}_snv_predicted_true.txt"
		File snv_false_txt = "${sampleName}_snv_predicted_false.txt"
		File snv_true_bed = "${sampleName}_snv_predicted_true.bed"
		File snv_false_bed = "${sampleName}_snv_predicted_false.bed"
		File snv_padding = "${sampleName}_snv_padding.bed"
		File indel_true_txt = "${sampleName}_indel_predicted_true.txt"
		File indel_false_txt = "${sampleName}_indel_predicted_false.txt"
		File indel_true_bed = "${sampleName}_indel_predicted_true.bed"
		File indel_false_bed = "${sampleName}_indel_predicted_false.bed"
		File indel_padding = "${sampleName}_indel_padding.bed"
	}
}

