task vcfeval {
	File snv_true_vcf
	File snv_true_vcf_index
	File snv_false_vcf
	File snv_false_vcf_index

	File indel_true_vcf
	File indel_true_vcf_index
	File indel_false_vcf
	File indel_false_vcf_index

	File giab_bed
	File giab_snv
	File giab_snv_idx
	File giab_indel
	File giab_indel_idx
	File sdf
	String kernel
	String nu
	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
	
		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfeval -b ${giab_snv} -c ${snv_true_vcf} -o ${kernel}_${nu}_snv_true -t ${sdf}

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfeval -b ${giab_snv} -c ${snv_false_vcf} -o ${kernel}_${nu}_snv_false -t ${sdf}

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfeval -b ${giab_indel} -c ${indel_true_vcf} -o ${kernel}_${nu}_indel_true -t ${sdf}

		/opt/rtg-tools/dist/rtg-tools-3.10.1-4d58ead/rtg vcfeval -b ${giab_indel} -c ${indel_false_vcf} -o ${kernel}_${nu}_indel_false -t ${sdf}

		tar -zcvf ${kernel}_${nu}_snv_true.zip ${kernel}_${nu}_snv_true
		tar -zcvf ${kernel}_${nu}_snv_false.zip ${kernel}_${nu}_snv_false
		tar -zcvf ${kernel}_${nu}_indel_true.zip ${kernel}_${nu}_indel_true
		tar -zcvf ${kernel}_${nu}_indel_false.zip ${kernel}_${nu}_indel_false

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File snv_true_zip="${kernel}_${nu}_snv_true.zip"
		File snv_false_zip="${kernel}_${nu}_snv_false.zip"
		File indel_true_zip="${kernel}_${nu}_indel_true.zip"
		File indel_false_zip="${kernel}_${nu}_indel_false.zip"
	}
}