task zipIndex {
	File normed_vcf
	String sampleName = basename(normed_vcf,".normed.vcf")
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		rtg bgzip ${normed_vcf} -c > ${sampleName}.normed.vcf.gz
		rtg index -f vcf ${sampleName}.normed.vcf.gz
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File vcf_gz = "${sampleName}.normed.vcf.gz"
		File vcf_index = "${sampleName}.normed.vcf.gz.tbi"
	}
}